# MatPartitioningSetVertexWeights

Sets the weights for vertices for a partitioning.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode PETSCMAT_DLLEXPORT MatPartitioningSetVertexWeights(MatPartitioning part,const PetscInt weights[])

Collective on Partitioning

### Input Parameters

| part | - the partitioning context
| weights | - the weights

### Notes

The array weights is freed by PETSc so the user should not free the array. In C/C++ the array must be obtained with a call to PetscMalloc(), not malloc().

### Keywords

Partitioning, destroy, context

### See Also

MatPartitioningCreate(), MatPartitioningSetType(), MatPartitioningSetPartitionWeights()

Level:beginner
Location: src/mat/partition/partition.c
Index of all MatOrderings routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex10.c.html